package com.realnet.app-b.Services;
import com.realnet.app-b.Repository.TodoappRepository;
import com.realnet.app-b.Entity.Todoapp
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;








	import org.springframework.stereotype.Service;

@Service
 public class TodoappService {
@Autowired
private TodoappRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;







public Todoapp Savedata(Todoapp data) {








	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Todoapp save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Todoapp> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Todoapp> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Todoapp> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Todoapp getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Todoapp update(Todoapp data,Integer id) {
	Todoapp old = Repository.findById(id).get();
old.setTask_name(data.getTask_name());

old.setDescription(data.getDescription());

old.setDue_date(data.getDue_date());

old.setCompleted(data.getCompleted());

final Todoapp test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 








 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
